# $Revision: 1.13 $, $Date: 2011/12/23 11:23:46 $
%define		template snmpdiskio
%include	/usr/lib/rpm/macros.php
Summary:	Disk I/O statistics (Read/Write bytes) in Cacti
Summary(pl.UTF-8):	Statystyki operacji dyskowych we/wy (odczyt/zapis w bajtach) w Cacti
Name:		cacti-template-%{template}
Version:	0.9.6
Release:	6
License:	GPL v2
Group:		Applications/WWW
Source0:	http://forums.cacti.net/files/%{template}-0.9.4.tar.gz
# Source0-md5:	9f3512729ae6cad0904cac0fada719eb
Source1:	http://forums.cacti.net//files/partition_424.xml
# Source1-md5:	d7e569dfe417f49c7b8a2fe5b5a52382
Patch0:		bashism.patch
Patch1:		%{template}-0.9.6.patch
URL:		http://forums.cacti.net/about12742.html
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.554
Requires:	cacti >= 0.8.7e-8
Obsoletes:	cacti-addons-snmpdiskio
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		cactidir		/usr/share/cacti

%description
Disk I/O statistics (Read/Write bytes) in Cacti.

%description -l pl.UTF-8
Statystyki operacji dyskowych wejścia/wyjścia (odczyt/zapis w bajtach)
w Cacti.

%prep
%setup -qc
mv %{template}-*/* .
%patch0 -p1
%patch1 -p1
cp -p %{SOURCE1} partition.xml

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{cactidir}/resource/snmp_queries,%{_sbindir}}
cp -p cacti_data_query_snmp_disk_statistics.xml $RPM_BUILD_ROOT%{cactidir}/resource
cp -p cacti_graph_template_disk_io_bytessec.xml $RPM_BUILD_ROOT%{cactidir}/resource
cp -p partition.xml  $RPM_BUILD_ROOT%{cactidir}/resource/snmp_queries

%clean
rm -rf $RPM_BUILD_ROOT

%post
%cacti_import_template %{cactidir}/resource/cacti_data_query_snmp_disk_statistics.xml
%cacti_import_template %{cactidir}/resource/cacti_graph_template_disk_io_bytessec.xml

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%{cactidir}/resource/cacti_data_query_snmp_disk_statistics.xml
%{cactidir}/resource/cacti_graph_template_disk_io_bytessec.xml
%{cactidir}/resource/snmp_queries/partition.xml

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cacti-template-snmpdiskio.spec,v $
Revision 1.13  2011/12/23 11:23:46  glen
- release 6

Revision 1.12  2011/10/29 10:58:15  glen
- rename to cacti-template-snmpdiskio

Revision 1.11  2008/10/15 11:19:47  hawk
- release 4

Revision 1.10  2008/10/05 22:51:38  glen
- with our net-snmpd (with diskio enabled) don't need extra wrapper
  see http://forums.cacti.net/viewtopic.php?t=12742&postdays=0&postorder=asc&start=75#132184
- rel 3

Revision 1.9  2008/10/05 21:34:49  glen
- do not put exported templates to script_queries dir

Revision 1.8  2008/10/05 21:19:51  glen
- snmpd

Revision 1.7  2008/10/05 13:12:44  glen
- update to 0.9.6 from forum post

Revision 1.6  2008/10/05 12:58:21  glen
- stop bashism
- register cacti template

Revision 1.5  2008/10/05 11:18:26  glen
- simplify macros and cleanups

Revision 1.4  2008/01/06 18:39:21  qboosh
- better pl

Revision 1.3  2007-12-26 13:06:26  glen
- cleanups

Revision 1.2  2007-12-16 14:51:32  wolvverine
- ups

Revision 1.1  2007-12-16 02:30:59  wolvverine
- init
